div.container {
  width: 100%;
  border: 1px solid gray;
}

header, footer {
  padding: 1em;
  color: white;
  background-color: black;
  clear: left;
  text-align: center;
}

nav {
  float: left;
  max-width: 160px;
  margin: 0;
  padding: 1em;
}

h1 {
  float: auto;
  color: red;
}
nav ul {
  list-style-type: none;
  padding: 0;
}
 
nav ul a {
  text-decoration: none;
}

article {
  margin-left: 170px;
  border-left: 1px solid gray;
  padding: 1em;
  overflow: hidden;
}